OpenVDB: SeedPoints< TreeType > Class Template Reference

OpenVDB 8.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
SeedPoints< TreeType > Class Template Reference

`#include <MeshToVolume.h>`

## Public Types
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType
using | ConnectivityTable = LeafNodeConnectivityTable< TreeType >

## Public Member Functions
| SeedPoints (ConnectivityTable &connectivity, bool *changedNodeMask, bool *nodeMask, bool *changedVoxelMask)
void | operator() (const tbb::blocked_range< size_t > &range) const
bool | processZ (const size_t n, bool firstFace) const
bool | processY (const size_t n, bool firstFace) const
bool | processX (const size_t n, bool firstFace) const

## Public Attributes
ConnectivityTable *const | mConnectivity
bool *const | mChangedNodeMask
bool *const | mNodeMask
bool *const | mChangedVoxelMask

## Member Typedef Documentation

## ◆ ConnectivityTable

using ConnectivityTable = LeafNodeConnectivityTable<TreeType>

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ SeedPoints()

SeedPoints | ( | ConnectivityTable & | connectivity,
|  | bool * | changedNodeMask,
|  | bool * | nodeMask,
|  | bool * | changedVoxelMask
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## ◆ processX()

bool processX | ( | const size_t | n,
|  | bool | firstFace
| ) |  | const
| inline

## ◆ processY()

bool processY | ( | const size_t | n,
|  | bool | firstFace
| ) |  | const
| inline

## ◆ processZ()

bool processZ | ( | const size_t | n,
|  | bool | firstFace
| ) |  | const
| inline

## Member Data Documentation

## ◆ mChangedNodeMask

bool* const mChangedNodeMask

## ◆ mChangedVoxelMask

bool* const mChangedVoxelMask

## ◆ mConnectivity

ConnectivityTable* const mConnectivity

## ◆ mNodeMask

bool* const mNodeMask

The documentation for this class was generated from the following file:

- MeshToVolume.h